Bug 1314493 - Skip unnecessary mech calls in gss_inquire_cred
Skip unnecessary mech calls in gss_inquire_cred
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5 (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Robbie Harwood
Patrik Kis
https://github.com/krb5/krb5/pull/418
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 13:31 EST by Robbie Harwood
Modified: 2016-11-03 16:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: krb5-1.14.1-7.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:24:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robbie Harwood 2016-03-03 13:31:44 EST
From an original report:

An expired Kerberos credentials cache causes GSSAPI krb5_gss_inquire_cred() to fail with the error GSS_S_CREDENTIALS_EXPIRED. This prevents SPNEGO from attempting authentication with plugin mechanisms configured in /etc/gss/mech.
Comment 8 errata-xmlrpc 2016-11-03 16:24:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2591.html

Note You need to log in before you can comment on or make changes to this bug.